package com.steerinfo.dil.util;

import com.steerinfo.dil.mapper.SaleLogMapper;
import com.steerinfo.dil.model.SaleLog;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import java.math.BigDecimal;
import java.util.Date;
import java.util.Map;

@Component
public class SaleLogUtil {
    @Autowired
    private SaleLogMapper saleLogMapper;

    public final static int INSERT = 1;

    public final static int UPDATE = 2;

    public final static int DELETE = 3;

    public final static int OPEN = 4;

    public final static int CLOSE = 5;

    /**
     * 插入运输订单的操作日志
     * @param orderId
     * @param descriptoin
     * @param userName
     * @param oprationType 操作类型
     * @param map 可以传null
     * @return
     */
    public int logOrder(BigDecimal orderId,String descriptoin,String userName,int oprationType,Map map){
        SaleLog saleLog=new SaleLog();
        saleLog.setResultId(saleLogMapper.selectMaxId());
        saleLog.setOrderId(orderId);
        saleLog.setDescription(descriptoin);
        if(map!=null){
            saleLog.setJsonData(""+map);
        }
        saleLog.setInsertTime(new Date());
        saleLog.setInsertUsername(userName);
        switch (oprationType){
            case INSERT:
                saleLog.setOprationType("新增");
                break;
            case UPDATE:
                saleLog.setOprationType("修改");
                break;
            case DELETE:
                saleLog.setOprationType("删除");
                break;
            case OPEN:
                saleLog.setOprationType("启用");
                break;
            case CLOSE:
                saleLog.setOprationType("关闭");
                break;
            default:
                saleLog.setOprationType("未知操作");
        }
        return saleLogMapper.insertSelective(saleLog);
    }
}
